<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button (click)=" bacK()"></ion-back-button>
          </ion-buttons>
    </ion-toolbar>
  </ion-header>
  
<ion-content padding>
  <h1 class="t-center">Add Customer</h1>
  <form [formGroup]="myForm" (ngSubmit)="saveData()" novalidate> 
      <ion-list>
          <ion-item>
            <ion-label position="floating">Name</ion-label>
            <ion-input formControlName="name" type="text"></ion-input>
          </ion-item>
          <ion-item *ngIf="myForm.get('name').errors && myForm.get('name').dirty">
            <p color="danger" ion-text *ngIf="myForm.get('name').hasError('required')">Field is required</p>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Surname</ion-label>
            <ion-input formControlName="surname" name="surname" type="text"></ion-input>
          </ion-item>
          <ion-item *ngIf="myForm.get('surname').errors && myForm.get('surname').dirty">
            <p color="danger" ion-text *ngIf="myForm.get('surname').hasError('required')">Field is required</p>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Email</ion-label>
            <ion-input formControlName="email" type="text"></ion-input>
          </ion-item>
          <ion-item *ngIf="myForm.get('email').errors && myForm.get('email').dirty">
            <p color="danger" ion-text *ngIf="myForm.get('email').hasError('required')">Field is required</p>
            <p color="danger" ion-text *ngIf="myForm.get('email').hasError('email')">It is not an email</p>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Status</ion-label>
            <ion-select formControlName="state" type="text" value="brown" okText="Accept" cancelText="Cancel">
              <ion-select-option *ngFor="let s of status" value="{{ s.name }}">{{ s.name }}</ion-select-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="myForm.get('state').errors && myForm.get('state').dirty">
            <p color="danger" ion-text *ngIf="myForm.get('state').hasError('required')">Field is required</p>
          </ion-item>
          <ion-item>
            <ion-label position="floating">City</ion-label>
            <ion-select formControlName="city" type="text" value="brown" okText="Accept" cancelText="Cancel">
              <ion-select-option *ngFor="let c of cities" value="{{ c.name }}">{{ c.name }}</ion-select-option>
            </ion-select>
          </ion-item>
          <ion-item *ngIf="myForm.get('city').errors && myForm.get('city').dirty">
            <p color="danger" ion-text *ngIf="myForm.get('city').hasError('required')">Field is required</p>
          </ion-item>
          <div padding class="mt-10">
              <ion-button type="submit" [disabled]="myForm.invalid" class="radius-4p" color="primary" expand="block">Save</ion-button>
            </div>
      </ion-list> 
  </form>      
</ion-content>  